import uuid
from sqlalchemy import Uuid, Boolean, Column, String
from sqlalchemy.orm import relationship

from app.database import Base

class User(Base):
    __tablename__ = "users"

    id = Column(Uuid, primary_key=True, default=uuid.uuid4)
    friendly_name = Column(String, unique=True, index=True)
    is_active = Column(Boolean, default=True)
    
    id_tokens = relationship("IdToken", back_populates="owner", cascade="delete, delete-orphan")
    transactions = relationship("Transaction", cascade="delete, delete-orphan")
